Package io.vertx.ext.auth.audit

## Enum Marker

- java.lang.Object
- - java.lang.Enum<Marker>
  - - io.vertx.ext.auth.audit.Marker

- All Implemented Interfaces:
    `Serializable`, `Comparable<Marker>`

      public enum Marker
      extends Enum<Marker>

  A marker will define the structured data id in the log and contains metadata on which fields should be masked.
  Author:
    Paulo Lopes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION` |
    `AUTHORIZATION` |
    `REQUEST` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Marker` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Marker[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTHENTICATION

          public static final Marker AUTHENTICATION

    - #### AUTHORIZATION

          public static final Marker AUTHORIZATION

    - #### REQUEST

          public static final Marker REQUEST

  - ### Method Detail

    - #### values

          public static Marker[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Marker c : Marker.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Marker valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null